Linked Server - List

Gets the list of linked servers associated with this redis cache (requires Premium SKU).

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Cache/redis/{name}/linkedServers?api-version=2024-11-01

URI Parameters

Name In Required Type Description
name
path True

string

The name of the redis cache.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Responses

Name Type Description
200 OK

RedisLinkedServerWithPropertiesList

The request has succeeded.

Other Status Codes

ErrorResponse

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

LinkedServer_List

Sample request

GET https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.Cache/redis/cache1/linkedServers?api-version=2024-11-01

Sample response

{
  "value": [
    {
      "name": "cache2",
      "type": "Microsoft.Cache/Redis/linkedServers",
      "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.Cache/Redis/cache1/linkedServers/cache2",
      "properties": {
        "geoReplicatedPrimaryHostName": "cache2.geo.redis.cache.windows.net",
        "linkedRedisCacheId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.Cache/Redis/cache2",
        "linkedRedisCacheLocation": "West US",
        "primaryHostName": "cache1.redis.cache.windows.net",
        "provisioningState": "Succeeded",
        "serverRole": "Secondary"
      }
    },
    {
      "name": "cache3",
      "type": "Microsoft.Cache/Redis/linkedServers",
      "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.Cache/Redis/cache1/linkedServers/cache3",
      "properties": {
        "geoReplicatedPrimaryHostName": "cache3.geo.redis.cache.windows.net",
        "linkedRedisCacheId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.Cache/Redis/cache3",
        "linkedRedisCacheLocation": "West US",
        "primaryHostName": "cache1.redis.cache.windows.net",
        "provisioningState": "Succeeded",
        "serverRole": "Secondary"
      }
    }
  ]
}

Definitions

Name Description
createdByType

The type of identity that created the resource.

ErrorAdditionalInfo

The resource management error additional info.

ErrorDetail

The error detail.

ErrorResponse

Error response

RedisLinkedServerWithProperties

Response to put/get linked server (with properties) for Redis cache.

RedisLinkedServerWithPropertiesList

List of linked servers (with properties) of a Redis cache.

ReplicationRole

Role of the linked server.

systemData

Metadata pertaining to creation and last modification of the resource.

createdByType

The type of identity that created the resource.

Value Description
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

The resource management error additional info.

Name Type Description
info

object

The additional info.

type

string

The additional info type.

ErrorDetail

The error detail.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

The error additional info.

code

string

The error code.

details

ErrorDetail[]

The error details.

message

string

The error message.

target

string

The error target.

ErrorResponse

Error response

Name Type Description
error

ErrorDetail

The error object.

RedisLinkedServerWithProperties

Response to put/get linked server (with properties) for Redis cache.

Name Type Description
id

string (arm-id)

Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

name

string

The name of the resource

properties.geoReplicatedPrimaryHostName

string

The unchanging DNS name which will always point to current geo-primary cache among the linked redis caches for seamless Geo Failover experience.

properties.linkedRedisCacheId

string

Fully qualified resourceId of the linked redis cache.

properties.linkedRedisCacheLocation

string

Location of the linked redis cache.

properties.primaryHostName

string

The changing DNS name that resolves to the current geo-primary cache among the linked redis caches before or after the Geo Failover.

properties.provisioningState

string

Terminal state of the link between primary and secondary redis cache.

properties.serverRole

ReplicationRole

Role of the linked server.

systemData

systemData

Azure Resource Manager metadata containing createdBy and modifiedBy information.

type

string

The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"

RedisLinkedServerWithPropertiesList

List of linked servers (with properties) of a Redis cache.

Name Type Description
nextLink

string (uri)

The link to the next page of items

value

RedisLinkedServerWithProperties[]

The RedisLinkedServerWithProperties items on this page

ReplicationRole

Role of the linked server.

Value Description
Primary

The linked server is in the writable primary role

Secondary

The linked server is in the read-only replica role

systemData

Metadata pertaining to creation and last modification of the resource.

Name Type Description
createdAt

string (date-time)

The timestamp of resource creation (UTC).

createdBy

string

The identity that created the resource.

createdByType

createdByType

The type of identity that created the resource.

lastModifiedAt

string (date-time)

The timestamp of resource last modification (UTC)

lastModifiedBy

string

The identity that last modified the resource.

lastModifiedByType

createdByType

The type of identity that last modified the resource.